use crate::constants::StaticConstraints;
use actix_web::{HttpResponse, Responder};

/// Default hello route
pub async fn home() -> impl Responder {
    HttpResponse::Ok().json("GeneIT API service.")
}

#[derive(Debug, Clone, serde::Serialize, Default)]
struct StaticConfig {
    constraints: StaticConstraints,
}

/// Get static configuration
pub async fn static_config() -> impl Responder {
    HttpResponse::Ok().json(StaticConfig::default())
}
